Urgent: need help on the latest MYSQL connector dll tobe compiled

This forum is for programmers who have questions about the source code.
Post Reply
jfd2
Posts: 53
Joined: Sat Feb 16, 2008 11:14 pm

Urgent: need help on the latest MYSQL connector dll tobe compiled

Post by jfd2 » Wed May 04, 2022 12:33 pm

Hello All,

I got into a situation that none of opendental works now. after investigating, I found that my Ubuntu server upgrade the mySQl server to the latest 8.0.29 from 8.0.28. which for some reason it errors out with "The Given Key Was Not Present In The Dictionary" Exception. They are certain people talked about solutions and one of them is to use the latest mysql.data.dll connector.

I played with it and it seems that I cannot do anything on my side if I drop in the latest 8.0.29 dll since the other private dlls were compiled with the old mysql dll. So to make it work, I need all the dlls to be compiled with the latest mySQL connector.

Is there any way that your can make a version to use the latest mysql dll compiled?

Thanks for your help.
Best regards,

Jeff

jfd2
Posts: 53
Joined: Sat Feb 16, 2008 11:14 pm

Re: Urgent: need help on the latest MYSQL connector dll tobe compiled

Post by jfd2 » Thu May 05, 2022 5:35 pm

Hello all,

I finally downgraded my mysql to 8.0.28 with manually installing of it. This is going to be an issue with the trend of dropping the current UTF8 (utf8mb3) inplementation. I think the latest mysql/mariadb are all using the utf8mb4 as the default and eventually opendental need to have a solution for this, although I was the one heading right into it.

thanks.
Best regards,

Jeff

Post Reply